/*
 *  Classified Tydeman Consulting Proprietary
 *  Copyright (C) 2005, 2014 Tydeman Consulting.  All rights reserved.
 *
 *  Fred J. Tydeman	tydeman@tybor.com
 *
 * - -- --- ---- ----- -------------------------------------------------
 *
 *    This code is copyrighted.  Under the copyright laws, this code may
 *         not be copied, in whole or part, without prior written
 *         consent of Tydeman Consulting.
 *
 *    RESTRICTED RIGHTS LEGEND: Use, duplication, or disclosure by the
 *         government is subject to restrictions as set forth in
 *         subparagraph (c)(1)(ii) of the Rights in Technical Data and
 *         Computer Software clause at DFARS 252.227-7013 and
 *         FAR 52.227-19.
 *
 * - -- --- ---- ----- -------------------------------------------------
 * $Revision: 2.1 $
 ***********************************************************************
 *  FILE: fenvon.h
 *
 *  Description:  Do the different forms of FENV ACCESS ON, including 
 *  compiler specific ones.  See writeup in mydefs.h just before 
 *  #include "fenvon.h" for why so many forms.
 *
 *  MODIFICATION HISTORY:
 *
 * 2005/05/08 - Create from mydefs.h and myfloat.h
 * 2005/05/08 - Update DEBUG section.
 * 2008/07/14 - Shorten marco symbols to less than 32 chars.
 * 2012/07/20 - Add more Microsoft specific controls.
 * 2014/06/19 - Redo Microsoft specific controls.
 *
 ***********************************************************************/

/*lint -efile(766,fenvon.h) // header file "not" used */

#ifdef DEBUG	/* local override of FIXes to force errors to show */
  #ifdef DEBUG2	/* Kills some compilers */
  #endif
  #ifdef DEBUG3
  #endif
  #undef  FIX_PRAGMAS
  #undef  FIX_PRAGMA_FENV_ACCESS
#endif

#if (!defined FIX_PRAGMAS)
  #if (!defined FIX_PRAGMA_FENV_ACCESS) && (!defined LMS_NO_FENV_ACCESS)
    #if (19970207uL <= FPCE_TEST_LVL)
      #pragma STDC FENV_ACCESS ON
    #else
      #pragma fenv_access on
    #endif
    #ifdef FENV_ACCESS_ON		/* Want IEEE safe code generation */
	 FENV_ACCESS_ON
    #endif
  #endif
  #ifdef _MSC_VER		/* Microsoft Visual Studio specific */
    #pragma float_control(precise, on)
    #pragma fenv_access(on)
    #pragma float_control(except, on)
  #endif
#endif
